com.beaglebuddy.id3.pojo

## Class EventCode

- java.lang.Object
- - com.beaglebuddy.id3.pojo.EventCode

-     public class EventCode
      extends java.lang.Object

  An event code is simply an event occurring at specified time. There are 256 predefined `types` of events in the ID3v2.x specification.

  Event Code Fields
  | Field | Description
  --- | --- | ---
  1. | `eventType` | the type of event that has occurred.
  2. | timeStamp | when the event occurred. See `TimeStampFormat` for a list of the supported kinds of time stamps.

  Terminating the start events such as "intro start" is not required. You may use any of the USER_DEFINED_EVENT_X codes to define your own event. You might want to synchronise your music to something, like setting off an explosion on-stage, or turning on your screensaver, etc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventCode(EventType eventType, int timeStamp)` constructor for specifying when a type of event occurred.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventType` | `getEventType()` gets the type of event that occurred.
    `int` | `getTimeStamp()` gets when event occurred.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventCode

          public EventCode(EventType eventType,
                   int timeStamp)

      constructor for specifying when a type of event occurred.
      Parameters:
        `eventType` - the type of event that occurred.
        `timeStamp` - when it occurred.

  - ### Method Detail

    - #### getEventType

          public EventType getEventType()

      gets the type of event that occurred.
      Returns:
        the type of event that occurred.

    - #### getTimeStamp

          public int getTimeStamp()

      gets when event occurred.
      Returns:
        the timestamp when the event occurred.